class_name MultiplayerPC extends Player

@export var player_id := 1 :
	set(id):
		player_id = id

func _enter_tree() -> void:
	#Game.player = self
	pass

func setup(id) -> void:
	player_id = id
	
func _physics_process(delta: float) -> void:
	var dir = Input.get_vector("west", "east", "north", "south")
	dir = Vector3(dir.x, 0, dir.y)
	if dir.length_squared() > 0:
		body.look_at(body.global_position - dir)
		velocity = speed * dir
		move_and_slide()
